SplFileObject::seek
SplFileObject::setFlags
SplFileObject
PHP Manual

# SplFileObject::setCsvControl

(PHP 5 >= 5.2.0)

SplFileObject::setCsvControl — Set the delimiter and enclosure character for CSV

### Description

public void SplFileObject::setCsvControl ([ string `$delimiter` = "," [, string `$enclosure` = "\"" [, string `$escape` = "\\" ]]] )

Sets the delimiter and enclosure character for parsing CSV fields.

### Parameters

`delimiter`

  The field delimiter (one character only).

`enclosure`

  The field enclosure character (one character only).

`escape`

  The field escape character (one character only).

### Return Values

No value is returned.

### Examples

Example #1 SplFileObject::setCsvControl() example

`<?php
$file = new SplFileObject("data.csv");
$file->setFlags(SplFileObject::READ_CSV);
$file->setCsvControl('|');
foreach ($file as $row) {
list ($fruit, $quantity) = $row;
// Do something with values
}
?>`

Contents of data.csv

    <?php
    apples|20
    bananas|14
    cherries|87
    ?>

### See Also

- SplFileObject::getCsvControl() - Get the delimiter and enclosure character for CSV
- SplFileObject::fgetcsv() - Gets line from file and parse as CSV fields

SplFileObject::seek
SplFileObject::setFlags
SplFileObject
PHP Manual